Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.uima.examples
Class SourceDocumentInformation_Type

    java.lang.Object
      org.apache.uima.jcas.cas.TOP_Type
          org.apache.uima.jcas.cas.AnnotationBase_Type
              org.apache.uima.jcas.tcas.Annotation_Type
                  org.apache.uima.examples.SourceDocumentInformation_Type

    public class SourceDocumentInformation_Type

extends Annotation_Type

Stores detailed information about the original source document from which the current CAS was initialized. All information (like size) refers to the source document and not to the document in the CAS which may be converted and filtered by a CAS Initializer. For example this information will be written to the Semantic Search index so that the original document contents can be retrieved by queries. Updated by JCasGen Wed Nov 22 16:51:13 EST 2006

Field Summary
`static boolean` | `featOkTst`
`static int` | `typeIndexID`

Fields inherited from class org.apache.uima.jcas.cas.TOP_Type
`casImpl, casType, casTypeCode, instanceOf_Type, jcas, ll_cas, lowLevelArrayBoundChecks, lowLevelTypeChecks, useExistingInstance`

Constructor Summary
`SourceDocumentInformation_Type(JCas jcas, Type casType)` initialize variables to correspond with Cas Type and Features

Method Summary
`int` | `getDocumentSize(int addr)`
`protected org.apache.uima.cas.impl.FSGenerator` | `getFSGenerator()`
`boolean` | `getLastSegment(int addr)`
`int` | `getOffsetInSource(int addr)`
`String` | `getUri(int addr)`
`void` | `setDocumentSize(int addr, int v)`
`void` | `setLastSegment(int addr, boolean v)`
`void` | `setOffsetInSource(int addr, int v)`
`void` | `setUri(int addr, String v)`

Methods inherited from class org.apache.uima.jcas.tcas.Annotation_Type
`getBegin, getCoveredText, getEnd, setBegin, setEnd`

Methods inherited from class org.apache.uima.jcas.cas.AnnotationBase_Type
`getSofa, getView`

Methods inherited from class org.apache.uima.jcas.cas.TOP_Type
`addToIndexes, checkType, getTypeIndexID, invalidTypeArg, noObjCreate, removeFromIndexes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### typeIndexID

    public static final int typeIndexID

### featOkTst

    public static final boolean featOkTst

Constructor Detail

### SourceDocumentInformation_Type

    public SourceDocumentInformation_Type(JCas jcas,
                                          Type casType)

  initialize variables to correspond with Cas Type and Features

Method Detail

### getFSGenerator

    protected org.apache.uima.cas.impl.FSGenerator getFSGenerator()

  Overrides:
    `getFSGenerator` in class `Annotation_Type`

### getUri

    public String getUri(int addr)

### setUri

    public void setUri(int addr,
                       String v)

### getOffsetInSource

    public int getOffsetInSource(int addr)

### setOffsetInSource

    public void setOffsetInSource(int addr,
                                  int v)

### getDocumentSize

    public int getDocumentSize(int addr)

### setDocumentSize

    public void setDocumentSize(int addr,
                                int v)

### getLastSegment

    public boolean getLastSegment(int addr)

### setLastSegment

    public void setLastSegment(int addr,
                               boolean v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 The Apache Software Foundation. All Rights Reserved.